## Name

DROP TRIGGER — Return a trigger to default behavior, where it will not fire on subscriber nodes

## Synopsis

`DROP TRIGGER (options);`

## Description

Remove the special handling for the specified trigger.

`TABLE ID = ival`

  The unique, numeric ID number of the table the trigger is defined for.

`TRIGGER NAME = 'string'`

  The name of the trigger as it appears in the `pg_trigger` system catalog.

`EVENT NODE = ival`

  (Optional) The ID of the node used to create the configuration event that tells all existing nodes about the special trigger. Default value is 1.

This uses schemadocdroptrigger( integer, name ).

## Example

    DROP TRIGGER (
        TABLE ID = 2,
        TRIGGER NAME = 'cache_invalidation'
    );

## Locking Behaviour

This operation will need to acquire an exclusive lock on the specified table on each node to which it applies in order to alter table schemas to remove the trigger.

## Version Information

This command was introduced in Slony-I 1.0